Android - SSL Errors on older Devices

This article is for Android users on older devices (7/Nougat or older) that are getting Certificate errors in their email apps.

(please be aware Android 7 reached End of Life as of December 2020, using out of date devices can cause security risks)

If you know your android version, you can check if it is still supported here

This is related to the recent Let's Encrypt certificate update which no longer works on older devices.

PLEASE NOTE: You can accept the certificates on Android to prevent these warnings, however this will cause the device to no longer warn you of any validation errors. This will cause a security risk as encryption cannot be guaranteed. We do not accept responsibility for any security risks this causes. Our recommendation is to upgrade to supported versions that will support the newer SSL.

To Accept the Certificate:

  1. Go to Settings > Accounts
  2. You will get a list of email account types, tap on Personal (IMAP) (this is the most likely option, the other is POP)
  3. Tap on your email account, this will bring up the account settings.
  4. Scroll down to your server settings. Depending on the Email app for the device, this may split incoming and outgoing or you may have just 1 option for Mail settings.
  5. Tap on the server settings to edit them. Under Security Type you will likely have this set as SSL/TLS. Please change this to SSL/TLS (Accept all certificates).
  6. Click Done or Next (again depends on the app you use) which should Validate and save them.


How did we do?


Powered by HelpDocs (opens in a new tab)
© Krystal Hosting Ltd 2003–2021